SET NOEXEC OFF
GO

Declare @dbVersion_neu Int
Set @dbVersion_neu = 2060

DECLARE @dbUpdate bit

Declare @dbOwner Varchar(20)
Declare @user Varchar(20)
-- Select  @dbOwner = convert(sysname,schema_name(o.schema_id)) From  sys.all_objects o WHERE Name = 'VORGANG'

Select @dbOwner = (Select TABLE_SCHEMA From information_schema.tables Where Table_name ='Vorgang')
Select @user = USER

Declare @dbVersion_alt Int
Select  @dbVersion_alt = Max(dbversion) From WgVers

Declare @dbServer Varchar(100)
Select  @dbServer = Left(CAST(@@Version AS Varchar(100)),55)

Declare @HK as varchar(1)
Set @HK=CHAR(39)

Declare @dbSQL nVarchar(200)
Set @dbSQL='INSERT INTO WgVers (WGVERSNR, DBVERSION, DB_SERVER, DB_OWNER) VALUES(1, ' +CAST( @dbVersion_neu as varchar(5)) + ', ' + @HK + cast(@dbServer as varchar(159)) + @HK +', ' + @HK + CAST(@dbOwner as varchar(50)) + @HK + ')'


Set @dbUpdate = 1
      
IF @dbOwner <> @user
	Begin
		Print 'Der User ' + @dbOwner  + ' ist nicht Eigentmer ' + @user + ' der Datenbank, Script wird abgebrochen!'
		Set @dbUpdate = 0
	End
	
IF (@dbVersion_neu -1) <> @dbVersion_alt
	Begin
		Print 'Skript fr dbVersion ' + Cast(@dbVersion_alt As Varchar(10)) + ' ist nicht fortlaufend, Skript wird abgebrochen!'
		Set @dbUpdate = 0
	End

IF @dbUpdate = 1
	Begin
		Delete From WGVERS
		EXEC sp_executesql @dbSQL 
		Print 'Skript fr dbVersion ' + Cast(@dbVersion_neu As Varchar(10))  + ' wird ausgefhrt!'  
 	End   	
	
IF @dbUpdate = 0
   SET NOEXEC ON -- Stopt Batch-Ausfhrung
GO



ALTER TABLE FILME
ADD
	offen			smallint NULL
GO

